Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Prepare deployment

  • Loading branch information...
commit cc912cc8766d4425a7b352634dd291144af7906b 1 parent b16cf15
@svenstaro authored
Showing with 20 additions and 2 deletions.
  1. +1 −1  LICENSE
  2. +5 −0 MANIFEST.in
  3. +1 −1  Makefile
  4. +13 −0 setup.py
View
2  LICENSE
@@ -1,4 +1,4 @@
-Copyright (c) 2011 Paul 'opatut' Bienkowski <paulbienkowski@aol.com> and Sven-Hendrik 'svenstaro' Haase <sh@lutzhaase.com>
+Copyright (c) 2013 Paul 'opatut' Bienkowski <paulbienkowski@aol.com> and Sven-Hendrik 'svenstaro' Haase <sh@lutzhaase.com>
This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.
Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:
The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
View
5 MANIFEST.in
@@ -0,0 +1,5 @@
+recursive-include flamejam/templates *
+recursive-include flamejam/static *
+recursive-include alembic *
+include README.md LICENSE alembic.ini flamejam.cfg.default flamejam.wsgi.example
+include kill-database Makefile logo-v2.png logo-v2.svg runserver.py
View
2  Makefile
@@ -5,7 +5,7 @@ setup:
pip install -i http://c.pypi.python.org/simple/ --upgrade \
flask flask-mail flask-sqlalchemy flask-wtf \
flask-login flask-markdown python-dateutil \
- scrypt requests alembic flask-principal
+ scrypt requests alembic flask-principal fabric
run:
. env/bin/activate && python2 runserver.py
View
13 setup.py
@@ -0,0 +1,13 @@
+from setuptools import setup
+
+setup(
+ name='flamejam',
+ version='0.2',
+ long_description=__doc__,
+ packages=['flamejam'],
+ include_package_data=True,
+ zip_safe=False,
+ install_requires=['Flask', 'flask-mail', 'flask-sqlalchemy', 'flask-wtf'
+ 'flask-login', 'flask-markdown', 'python-dateutil',
+ 'scrypt', 'requests', 'alembic', 'flask-principal', 'fabric']
+)
Please sign in to comment.
Something went wrong with that request. Please try again.